﻿(function () {
    tinymce.create('tinymce.plugins.AddPaPhoneButton', {//プラグイン関数名
        //プラグイン情報
        getInfo: function () {
            return {
                longname: 'Pa! Phone',
                author: 'With-Planning',
                authorurl: 'http://with-planning.jp',
                infourl: 'http://with-planning.jp',
                version: "1.0"
            };
        },
        init: function (ed, url) {
            var t = this;
            t.editor = ed;

            // URLの補正
            url = url.substr(0, url.length - 3);

            ed.addCommand('AddPaPhone',
                function () {
                    var str = t._AddPaPhone();
                    ed.execCommand('mceInsertContent', false, str);
            });
            ed.addButton('AddPaPhone', {//ボタンの名前
                title: '電話番号を追加', //tileのテキスト
                cmd: 'addPaPhone', //コマンドID
                image: url + '/image/tel.png', //ボタン画像
            });
        },
        _AddPaPhone: function (d, fmt) {
            console.log('test');
            return '[電話番号 tel=""][/電話番号]\n';
        }
    });
    //コマンドID,プラグイン関数名
    tinymce.PluginManager.add('AddPaPhoneButton', tinymce.plugins.AddPaPhoneButton);
})();